# bmp.cc File Reference

## Detailed Description

BMP conversion routines.

Definition in file bmp.cc.

`#include "bmp.h"`
`#include "bmp-internal.h"`
`#include "error.h"`
`#include "endian.h"`

Include dependency graph for bmp.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Functions

BXEXPORT size_t | Barry::GetTotalBitmapSize (const JLScreenInfo &info)
| Returns the total number of bytes needed to convert a screenshot of the given dimensions into a bitmap, using the ScreenshotToBitmap() function.
BXEXPORT void | Barry::ScreenshotToBitmap (const JLScreenInfo &info, const Data &screenshot, Data &bitmap)
| Converts screenshot data obtained via JavaLoader::GetScreenshot() into uncompressed bitmap format, suitable for writing BMP files.